/**
*@Module			PRICE OFFER
*@Version			1.0.0	
*@Author    		One_Man
*@Copyright 		2015 - 2017 PRESTALOGIC.CH	
*@Installation		See PDF Documentation	
*@License			See PDF Documentation
*@Website   		https://prestalogic.ch	
*@Support			info@prestalogic.ch	
 */

$(document).ready(function(){

	if (!!$.prototype.fancybox)
		$('#price_offer_button').fancybox({
			'hideOnContentClick': false
		});

	$('#price_offer_form_content .closefb').click(function(e) {
		$.fancybox.close();
		e.preventDefault();
	});

	$('#sendOffer').click(function(){
		var name = $('#your_name').val();
		var email = $('#your_email').val();
		var country = $('#your_country').val();
		var offer = $('#your_offer').val();
		var message = $('#your_message').val();
		if (name && email && country && offer && !isNaN(id_product))
		{
			$.ajax({
				url: baseDir + 'modules/priceoffer/priceoffer_ajax.php?rand=' + new Date().getTime(),
				type: "POST",
				headers: {"cache-control": "no-cache"},
				data: {
					action: 'sendMyOffer', 
					secure_key: mao_secure_key,
					name: name, 
					email: email, 
					country: country, 
					offer: offer, 
					message: message, 
					id_product: id_product
				},
				dataType: "json",
				success: function(result) {
					$.fancybox.close();
					fancyMsgBox((result ? mao_msg_success : mao_msg_error), mao_msg_title);
				}
			});
		}
		else
			$('#price_offer_form_error').text(mao_msg_required);
	});
});
