{**
*@Module			PRICE OFFER
*@Version			1.0.0	
*@Author    		One_Man
*@Copyright 		2015 - 2017 PRESTALOGIC.CH	
*@Installation		See PDF Documentation	
*@License			See PDF Documentation
*@Website   		https://prestalogic.ch	
*@Support			info@prestalogic.ch	
 *}

{if $mao_excat == 0 && $mao_exprod == 0}
{if $mao_product->quantity >= 1 || ($mao_product->quantity <= 0 && $mao_qty == 1 && $mao_act == 1)}
	<p id="price_offer" class="buttons_bottom_block btn no-print">
		<a class="maobutton btn" onclick='document.getElementById("price_offer_button").className += " offered";' href="#price_offer_form" id="price_offer_button">
        <span>{l s='Make an Offer' mod='priceoffer'}</span></a>
	</p>
{elseif $mao_product->quantity <= 0 && $mao_qty == 1 && $mao_act == 0}
	<p id="price_offer" class="buttons_bottom_block btn no-print disabled">
		<a class="maobutton btn" href="" id="price_offer_button">
        <span>{l s='Make an Offer' mod='priceoffer'}</span></a>
	</p>
{/if}
	<div style="display: none;">
		<div id="price_offer_form">
			<p class="page-subheading">
				{l s='Make an Offer' mod='priceoffer'}
			</p>
			<div class="row">
				<div class="product clearfix col-xs-12 col-sm-6">
					<img src="{$link->getImageLink($mao_product->link_rewrite, $mao_product_cover, 'home_default')|escape:'html':'UTF-8'}" height="{$homeSize.height|escape:'html':'UTF-8'}" width="{$homeSize.width|escape:'htmlall':'UTF-8'}" alt="{$mao_product->name|escape:'html':'UTF-8'}" />
					<div class="product_desc">
						<p class="product_name">
							<strong>{$mao_product->name|escape:'html':'UTF-8'}</strong>
						</p>
						{$mao_product->description_short|strip_tags:'UTF-8'|truncate:200:'...'}
					</div>
				</div><!-- .product -->
				<div class="price_offer_form_content col-xs-12 col-sm-6" id="price_offer_form_content">
					<div id="price_offer_form_error"></div>
					<div id="price_offer_form_success"></div>
					<div class="form_container">
						<p class="intro_form">
							{l s='Your Offer details' mod='priceoffer'} :
						</p>
						<p class="text">
							<label for="your_name">
								{l s='Your Name' mod='priceoffer'} <sup class="required">*</sup> :
							</label>
							<input id="your_name" name="your_name" type="text" value=""/>
						</p>
						<p class="text">
							<label for="your_email">
								{l s='Your Email' mod='priceoffer'} <sup class="required">*</sup> :
							</label>
							<input id="your_email" name="your_email" type="text" value=""/>
						</p>
						<p class="text">
							<label for="your_country">
								{l s='Your country' mod='priceoffer'} <sup class="required">*</sup> :
							</label>
							<input id="your_country" name="your_country" type="text" value=""/>
						</p>
						<p class="text">
							<label for="your_offer">
								{l s='Your Offer amount' mod='priceoffer'} ({$mao_currency->iso_code|escape:'html':'UTF-8'}) <sup class="required">*</sup> :
							</label>
							<input id="your_offer" name="your_offer" type="text" value=""/>
						</p>
						<p class="text">
							<label for="your_message">
								{l s='Message (optional)' mod='priceoffer'} :
							</label>
                            <textarea id="your_message" name="your_message" maxlength="500"></textarea>
						</p>
						<p class="txt_required">
							<sup class="required">*</sup> {l s='Required fields' mod='priceoffer'}
						</p>
					</div>
					<p class="submit">
						<button id="sendOffer" class="btn button button-small" name="sendOffer" type="submit">
							<span>{l s='Send Offer' mod='priceoffer'}</span>
						</button>&nbsp;
						{l s='or' mod='priceoffer'}&nbsp;
						<a class="closefb" href="#">
							{l s='Cancel' mod='priceoffer'}
						</a>
					</p>
				</div> <!-- .price_offer_form_content -->
			</div>
		</div>
	</div>
{/if}
{addJsDef mao_secure_key=$mao_secure_key}
{addJsDefL name=mao_msg_success}{l s='Your Offer has been sent successfully. We will answer You as quickly as possible.' mod='priceoffer' js=1}{/addJsDefL}
{addJsDefL name=mao_msg_error}{l s='Your Offer could not be sent. Please check the e-mail address and try again.' mod='priceoffer' js=1}{/addJsDefL}
{addJsDefL name=mao_msg_title}{l s='Offer processing' mod='priceoffer' js=1}{/addJsDefL}
{addJsDefL name=mao_msg_required}{l s='You did not fill required fields' mod='priceoffer' js=1}{/addJsDefL}
